*,
*:after,
*::before {
	box-sizing: border-box;
}
@font-face {
	font-weight: normal;
	font-style: normal;
	font-family: 'FontAwesome';
}
.progress-button {
	position: relative;
	display: inline-block;
}
.progress-button[disabled],
.progress-button[disabled].state-loading {
	cursor: default;
}
.progress-button .content {
	position: relative;
	display: block;
}
.progress-button .content::before,
.progress-button .content::after {
	position: absolute;
	right: 20px;
	color: #0e7138;
	font-family: "icomoon";
	opacity: 0;
	-webkit-transition: opacity 0.3s 0.3s;
	transition: opacity 0.3s 0.3s;
}
.progress-button .content::before {
	content: "\f00c";
	/* Checkmark for success */
}
.progress-button .content::after {
	content: "\f00d";
	/* Cross for error */
}
.progress-button.state-success .content::before,
.progress-button.state-error .content::after {
	opacity: 1;
}
.notransition {
	-webkit-transition: none !important;
	transition: none !important;
}
.progress-button .progress {
	background: #148544;
}
.progress-button .progress-inner {
	position: absolute;
	left: 0;
	background: #0e7138;
}
.progress-button[data-horizontal] .progress-inner {
	top: 0;
	width: 0;
	height: 100%;
	-webkit-transition: width 0.3s, opacity 0.3s;
	transition: width 0.3s, opacity 0.3s;
}
.progress-button[data-style="shrink"] {
	overflow: hidden;
	-webkit-transition: -webkit-transform 0.2s;
	transition: transform 0.2s;
}
.progress-button[data-style="shrink"][data-horizontal] .content {
	-webkit-transition: opacity 0.3s, -webkit-transform 0.3s;
	transition: opacity 0.3s, transform 0.3s;
}
.progress-button[data-style="shrink"][data-horizontal] .content::before,
.progress-button[data-style="shrink"][data-horizontal] .content::after {
	top: 100%;
	right: auto;
	left: 50%;
	-webkit-transition: opacity 0.3s;
	transition: opacity 0.3s;
	-webkit-transform: translateX(-50%);
	transform: translateX(-50%);
}
.progress-button[data-style="shrink"][data-horizontal].state-loading {
	-webkit-transform: scaleY(0.3);
	transform: scaleY(0.3);
}
.progress-button[data-style="shrink"][data-horizontal].state-loading .content {
	opacity: 0;
}
.progress-button[data-style="shrink"][data-horizontal].state-success .content,
.progress-button[data-style="shrink"][data-horizontal].state-error .content {
	-webkit-transform: translateY(-100%);
	transform: translateY(-100%);
}
